PCI Passthrough is not working on ubuntu16.04

asked 2016-11-10 03:25:44 -0500

Tushar gravatar image

I have installed devstack (newton) on ubuntu 16.04 and trying to attach a PCI device to an instance. I am getting the below error -

command I run - virsh attach-device instance-00000003 fcoe2.xml

error: Failed to attach device from fcoe2.xml error: internal error: unable to execute QEMU command 'device_add': Device initialization failed.

PCI passthrough was working for ubuntu 14.04.5 with same devstack release(newton).

edit retag flag offensive close merge delete

Comments

Can you indicate versions of QEMU/Libvirt/kernel and some relevant logs of affected instance(s) from /var/log/libvirt/qemu/?

volenbovsky gravatar imagevolenbovsky ( 2016-11-10 12:45:45 -0500 )edit